Bug 1471135 - Generation of MapR images is broken (or with wrong scala)
Generation of MapR images is broken (or with wrong scala)
Product: Red Hat OpenStack
Classification: Red Hat
Component: sahara-image-elements (Show other bugs)
11.0 (Ocata)
Unspecified Unspecified
high Severity high
: z4
: 11.0 (Ocata)
Assigned To: Telles Nobrega
Luigi Toscano
: TestOnly, Triaged, ZStream
Depends On: 1493005
  Show dependency treegraph
Reported: 2017-07-14 09:37 EDT by Luigi Toscano
Modified: 2017-11-14 20:58 EST (History)
4 users (show)

See Also:
Fixed In Version: sahara-image-elements-6.0.1-2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-11-14 20:58:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1704337 None None None 2017-07-14 09:37 EDT
OpenStack gerrit 484021 None None None 2017-08-14 11:18 EDT

  None (edit)
Description Luigi Toscano 2017-07-14 09:37:24 EDT
Description of problem:
Due to a change in the structure of the page of scala-lang.org, which is used to find the version of scala (yes, HTML-scraping), the version is not discovered, and for some reason the script fails (there is a fallback code, but it seems not to be enough). In any case, even if the script did not fail, the installed version of scala would be wrong.

A patch is pending upstream.

Version-Release number of selected component (if applicable):
Comment 1 Luigi Toscano 2017-08-14 11:18:11 EDT
Patch applied upstream, so this will be picked up with the next OSP11 rebase.
Comment 6 Mikey Ariel 2017-10-05 05:37:41 EDT
If this bug requires doc text for errata release, please set the 'Doc Type' and provide draft text according to the template in the 'Doc Text' field.

The documentation team will review, edit, and approve the text.

If this bug does not require doc text, please set the 'requires_doc_text' flag to -.
Comment 9 Lon Hohberger 2017-10-10 14:08:38 EDT
According to our records, this should be resolved by sahara-image-elements-6.0.1-2.el7ost.  This build is available now.
Comment 12 Luigi Toscano 2017-10-20 05:44:36 EDT
The fix for augeas that was blocking this (and in general sahara-image-elements on RHEL 7.4) landed and it will be fixed in any future version too).

It is now possible to generate images, and specifically MapR 5.2.0 images can be generated.

Tested on:

Note You need to log in before you can comment on or make changes to this bug.